@import "../../../assets/scss/global";

.sign-up-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    row-gap: 10px;
    padding: 3rem 1.5rem;

    @include largeScreen {
        width: 80%;
        justify-content: center;
    }

    @include wideScreen {
        width: 60%;
    }

    .top {
        margin-bottom: 10px;

        svg {
            width: 72px;
            height: 20px;
            margin-bottom: 10px;

            @include largeScreen {
                width: initial;
                height: initial;
            }
        }

        h3 {
            font-weight: 700;
            font-size: 24px;
            line-height: 36px;
            white-space: pre-line;

            @include largeScreen {
                font-size: 32px;
                line-height: 48px;

            }
        }
    }

    .form {
        display: flex;
        flex-direction: column;
        row-gap: 20px;
        align-items: center;

        .select-field{
            width: 100%;
            input{
                &::placeholder{
                    color: #757688 !important;
                }
            }

            .menu{
                top: 60px;
            }
        }

        .group-phone-email {
            width: 100%;
            display: flex;
            flex-direction: column;
            column-gap: 20px;
            row-gap: 20px;

            @include largeScreen {
                flex-direction: row;
                .input-field {
                    &:nth-of-type(1) {
                        width: 60%;
                    }
                }
            }
        }

        button {
            width: 220px;
        }

        .input-field {
            width: 100%;
        }
    }

    .bottom {
        display: flex;
        flex-direction: column;
        row-gap: 20px;
        align-items: center;

        p {
            position: relative;
            display: flex;
            justify-content: center;
            font-size: 12px;
            color: #555555;
            width: 100%;

            &:after, &:before {
                position: absolute;
                content: '';
                width: 33%;
                top: 50%;
                transform: translateY(-50%);
                height: 1px;
                background-color: $border-color;

                @include largeScreen {
                    width: 38.5%;
                }
            }

            &:after {
                left: 0;
            }

            &:before {
                right: 0;
            }
        }

        button {
            color: $secondary-color;
        }

        .external-sign-up {
            display: flex;
            justify-content: center;
            column-gap: 15px;

            .icon {
                display: flex;
                height: 50px;
                width: 50px;
                background: white;
                justify-content: center;
                align-items: center;
                border-radius: 50%;
                box-sizing: border-box;
                border: 1px solid #DFDFDF;
                cursor: pointer;
            }

            .facebook {
                background: white;

                svg {
                    path {
                        fill: #5891FF;
                    }
                }

                @include largeScreen {
                    &:hover {
                        background: #5891FF;

                        svg {
                            path {
                                fill: white;
                            }
                        }
                    }
                }
            }
        }

        .sign-up {
            display: flex;
            align-items: center;
            font-size: 16px;
            margin-top: 20px;

            button {
                margin-left: 5px;
                font-size: 16px;
            }
        }
    }
}